# Class: oMetadata

## $. oMetadata

Provides access to getting/setting metadata as an object interface.
Given a node as a source, will use provide the metadata associated to that node, otherwise provides metadata for the scene.

#### new $.oMetadata(source)

openHarmony/openHarmony_metadata.js, line 65
  The constructor for the $.oMetadata class.

  Name | Type | Description
  --- | --- | ---
  `source` | $.oNode | A node as the source of the metadata-- otherwise provides the scene metadata.

  TODO
    - Need to extend this to allow node metadata.

  ##### Example

      var metadata = $.scene.getMetadata();
      metadata.create( "mySceneMetadataName", {"ref":"thisReferenceValue"} );
      metadata["mySceneMetadataName"]; //Provides: {"ref":"thisReferenceValue"}

### Members

#### create

  Creates a new metadata based on name and value.
  The metadata is created on the source to which this metadata object references.

#### remove

  Removes a new metadata based on name and value.
  The metadata is removed from the source to which this metadata object references.

### Methods

#### refresh()

openHarmony/openHarmony_metadata.js, line 76
  Refreshes the preferences by re-reading the preference file and ingesting their values appropriately. They are then available as properties of this class.
  Note, any new preferences will not be available as properties until Harmony saves the preference file at exit. In order to reference new preferences, use the get function.